Bug 711978 - kernel panic when booting up with error "Unable to load SKernel panic - not syncing: Attempted to kill init! "
kernel panic when booting up with error "Unable to load SKernel panic - not s...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-09 03:37 EDT by Gris Ge
Modified: 2013-05-16 08:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-16 08:23:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gris Ge 2011-06-09 03:37:04 EDT
Description of problem:
Got kernel panic when booting up:
========
Switching to new root and running init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
type=1404 audit(1307589967.052:2): enforcing=1 old_enforcing=0 auid=4294967295 ses=4294967295
libsepol.avtab_read_item: more than one specifier
libsepol.avtab_read: failed on entry 14389 of 78667
libsepol.policydb_from_image: policy image is invalid
libsepol.avtab_read_item: more than one specifier
libsepol.avtab_read: failed on entry 14389 of 78667
libsepol.policydb_from_image: policy image is invalid
security: avtab: duplicate entry
Unable to load SKernel panic - not syncing: Attempted to kill init!
ELinux Policy. M 
========

Check beaker job https://beaker.engineering.redhat.com/jobs/95207 for detail.

Version-Release number of selected component (if applicable):
RHEL5-Server-U6_nfs-x86_64

How reproducible:
rare

Steps to Reproduce:
Not sure, may be install OS boot from SAN is the trigger.
  
Actual results:
Kernel Panic.

Expected results:
OS boot as expected.

Additional info:
Comment 1 Eric Paris 2011-06-09 09:23:06 EDT
This would only happen if the /etc/selinux/targeted/policy/policy.X file on disk was corrupted....

If we don't have a way to reproduce that corruption I'm no sure what we can do to find how it happened....
Comment 2 Gris Ge 2011-06-10 03:00:30 EDT
Eric,

Thanks for the point out, I will try more times for installation and hopefully we can find out the trigger.

Barry,

Did you ever got this kind of error on 	storageqe-05 and -06?
Comment 3 Barry Donahue 2011-06-13 11:20:31 EDT
I haven't been able to get storageqe-06 but storageqe-05 failed on first boot with snap-3. I'm still investigating that.
Comment 4 RHEL Product and Program Management 2011-06-21 01:33:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.7 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 5 Gris Ge 2011-06-22 03:34:14 EDT
I hit it problem again.

https://beaker.engineering.redhat.com/jobs/100527

Any info you need for troubleshooting?
Comment 7 Daniel Walsh 2011-06-22 09:47:16 EDT
Chris is the machine still available.  We need to look at the policy file to see if it is corrupt.
Comment 9 RHEL Product and Program Management 2012-04-02 07:21:43 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 10 Gris Ge 2012-06-13 21:07:22 EDT
Daniel,

I have loaned storageqe-06 to you in beaker.
As it said, it's rare condition, hopefully you could trigger the problem.

Let me know if you need any help.
Comment 11 Daniel Walsh 2012-06-14 14:58:31 EDT
Gris since I don't use beaker, what does this mean, can you send me mail to tell me how to access the box.
Comment 12 Gris Ge 2012-06-18 02:30:40 EDT
Sorry for the late reply.

Email sent out. Let me know if you need more assistance.

Please use "needinfo" of Bugzilla for getting quick reply from me.
Thanks for understanding.
Comment 15 Eric Paris 2013-03-19 14:54:58 EDT
Do we have a reproducer here?  I'm assuming the broken box is not still loaned in beaker?  I am leaning towards moving this to wontfix...
Comment 16 RHEL Product and Program Management 2013-04-04 08:37:01 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 17 Ondrej Vasik 2013-05-15 07:41:31 EDT
Could you please set devel_ack/condnack for 5.10 or postpone/close this bugzilla? Erratas should be filed by May 21st, so development phase is nearing its exit.
Comment 18 Miroslav Grepl 2013-05-16 08:23:01 EDT
Closing as WONTFIX (the comment #15).

Note You need to log in before you can comment on or make changes to this bug.